/* Base styles */
body {
  font-family: Arial, sans-serif;
  margin: 0;
  background-color: #f4f4f4;
}

header {
  background: #222;
  color: white;
}

.site-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 15px;
}

.logo {
  display: flex;
  align-items: center;
  gap: 10px;
}

.menu-toggle {
  display: none;
  background: none;
  color: white;
  font-size: 24px;
  border: none;
}

nav ul {
  list-style: none;
  display: flex;
  padding: 0;
  margin: 0;
  background: #111;
}

nav ul li {
  margin: 0;
}

nav ul li a {
  color: white;
  text-decoration: none;
  display: block;
  padding: 12px 20px;
}

main {
  padding: 20px;
}

h2 {
  text-align: center;
  margin: 10px auto;
  width: 100%;
  padding: 0.5rem;
  box-sizing: border-box;
  color: white;
  background-color: rgb(36, 35, 35);
} 

.about-student {
  display: flex;
  gap: 20px;
  margin-bottom: 20px;
}

.about-me,
.student-photo {
  flex: 1;
  background: #ddd;
  padding: 15px;
  justify-items: center;
}

/* .student-photo .photo-box {
  width: 100%;
  padding-top: 100%;
  background: #bbb;
  border-radius: 8px;
} */

.courses {
  background: #eee;
  padding: 15px;
}

.filters {
  display: flex;
  justify-content: space-around;
  margin-bottom: 10px;
}

.filters button {
  padding: 10px 20px;
  cursor: pointer;
}

.course-list {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.course {
  background: #ccc;
  padding: 10px;
  text-align: center;
}

.total-credits {text-align: center;
}

footer {
  text-align: center;
  padding: 15px;
  background: #ccc;
  margin-top: 20px;
}

.social-icons span {
  margin: 0 10px;
  font-size: 24px;
}

/* dialogue  */
dialog {
  border: 1px solid rgb(0 0 0 / 10%);
  border-radius: .25rem;
  padding: 1rem;
  background-color: #fff;
  box-shadow: 0 0 3rem #777;
  width: 90%;
  max-width: 600px;
}

::backdrop {
  background-color: rgb(0 0 0 / 50%);
}

dialog button {
  position: absolute;
  top: 23px;
  right: 23px;
  padding: .5rem 1rem;
  border: 1px solid rgb(0 0 0 / 10%);
}
/* Dialogue ends */


/* Mobile Styles */
@media (max-width: 768px) {
  .about-student {
    flex-direction: column;
  }

  nav ul {
    display: none;
    flex-direction: column;
  }

  nav ul.show {
    display: flex;
  }

  .menu-toggle {
    display: block;
  }
}


